/**
***     httpapp.hpp
***
***     Copyright (C) 2006 - 2008 SophiaCradle Incorporated.
***     All rights reserved.
***
***     ̃\[XR[h̓G[XgbvATXyhȂǂ̏Ă܂B
***     ۂ̎gpɍۂẮAKvɉďǉĂB
***
**/

#ifndef __HTTPAPP_HPP
#define __HTTPAPP_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(httpapp)
class httpapp : public SFYApplication {
    SFMSEALCOPY(httpapp)
    private:
        SFXHTTPConnection               _http;
        SFXAnsiStringStreamReader       _reader;
        SFXAnsiString                   _string;
        SFZTitleBevelFrameSmp           _frame;
        SFZWindowSmp                    _window;
        SFZMultipleTextLabelControlSmp  _label;

    public:
        static SFCInvokerPtr Factory(Void);
    private:
        httpapp(Void) static_throws;
        virtual ~httpapp(Void);

        XANDLER_DECLARE_BOOLEVENT(OnKey)
        XALLBACK_DECLARE_SFXHTTPCONNECTION(HttpNotify)
        XALLBACK_DECLARE_SFXSTREAMREADER(SourceNotify)
};

#endif // __HTTPAPP_HPP //
